(function () {
    'use strict';
    angular.module('uniflash').service('ufMemoryRanges', ufMemoryRanges);
    function ufMemoryRanges() {
        var memoryRanges = [];
        // add a memory range to the array
        function addMemoryRange(range) {
            memoryRanges.push(range);
        }
        // clear the array
        function clear() {
            memoryRanges = [];
        }
        function getMemoryRange(index) {
            return memoryRanges[index];
        }
        function getMemoryRanges() {
            return memoryRanges;
        }
        return {
            addMemoryRange: addMemoryRange,
            clear: clear,
            getMemoryRange: getMemoryRange,
            getMemoryRanges: getMemoryRanges,
        };
    }
})();
